/***************************************************************************
                          videosel.cpp  -  description
                             -------------------
    begin                : Tue May 2 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          videosel.cpp  -  description
                             -------------------
    begin                : Fri Jan 21 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@skydsl.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "videosel.h"

VideoSel::VideoSel(QWidget *parent, const char *name )
		: QFrame(parent,name)
{
	movBox = new QCheckBox(".mov", this);
	movBox->setGeometry(15,25,70,15);
	movBox->setBackgroundColor(white);

	mpegBox = new QCheckBox(".mpeg", this);
	mpegBox->setGeometry(15,40,70,15);
	mpegBox->setBackgroundColor(white);

	mpgBox = new QCheckBox(".mpg", this);
	mpgBox->setGeometry(15,55,70,15);
	mpgBox->setBackgroundColor(white);

	rmBox = new QCheckBox(".rm", this);
	rmBox->setGeometry(15,70,70,15);
	rmBox->setBackgroundColor(white);

	aviBox = new QCheckBox(".avi", this);
	aviBox->setGeometry(15,85,70,15);
	aviBox->setBackgroundColor(white);
	
	qtBox = new QCheckBox(".qt", this);
	qtBox->setGeometry(15,100,70,15);
	qtBox->setBackgroundColor(white);
}

VideoSel::~VideoSel()
{
}

void VideoSel::hideItems()
{
	movBox->hide();
	mpegBox->hide();
	mpgBox->hide();
	rmBox->hide();
	aviBox->hide();
	qtBox->hide();
}

void VideoSel::showItems()
{
	movBox->show();
	mpegBox->show();
	mpgBox->show();
	rmBox->show();
	aviBox->show();
	qtBox->show();
}